## slurm-llnl 15.08.7

=== doc/clusterworld/Makefile ===
# The following comments are to remind me how the automatic variables work:
# $@ - target
# $% - target member
# $< - First prerequisite
# $? - All (newer) prerequisites
# $^ - All prerequisites
# $+ - $^ but with repetitions
# $* - $* stem of pattern (for "foo.c" in %.c:%.o this would be "foo")
# 'info "GNU make"': "Using variables": "Automatic" also lists a few more.

REPORT = report

TEX = ../common/llnlCoverPage.tex $(REPORT).tex 

FIGDIR = ../figures
FIGS = $(FIGDIR)/allocate-init.eps \
       $(FIGDIR)/arch.eps \
       $(FIGDIR)/connections.eps \
       $(FIGDIR)/entities.eps \
       $(FIGDIR)/interactive-job-init.eps \
       $(FIGDIR)/queued-job-init.eps \
       $(FIGDIR)/slurm-arch.eps \
       $(FIGDIR)/times.eps

PLOTS = $(FIGDIR)/times.eps 

BIB = ../common/project.bib

%.eps: %.dia
	dia --nosplash -e $@ $< 
%.eps: %.gpl
	gnuplot $<
%.eps: %.fig
	fig2dev -Lps $< $@
%.eps: %.obj
	tgif -print -eps $<
%.ps: %.dvi
	dvips -K -t letter -o $(@F) $(<F)
%.pdf: %.dvi
	dvipdf $< $@ 

all: $(REPORT).ps 


$(REPORT).dvi: $(TEX) $(FIGS) $(PLOTS) $(BIB)
	rm -f *.log *.aux *.blg *.bbl
	(TEXINPUTS=.:../common::; export TEXINPUTS; \
	 BIBINPUTS=.:../common::; export BIBINPUTS; \
	 latex $(REPORT); \
	 bibtex $(REPORT); \
	 latex $(REPORT); \
	 latex $(REPORT) )

view: $(REPORT).ps
	ghostview $(REPORT) &

clean: 
	rm -f *~ *.dvi *.log *.aux $(REPORT).ps *.blg *.bbl #*.eps #*.gif *.ps

=== doc/survey/Makefile ===
# The following comments are to remind me how the automatic variables work:
# $@ - target
# $% - target member
# $< - First prerequisite
# $? - All (newer) prerequisites
# $^ - All prerequisites
# $+ - $^ but with repetitions
# $* - $* stem of pattern (for "foo.c" in %.c:%.o this would be "foo")
# 'info "GNU make"': "Using variables": "Automatic" also lists a few more.

REPORT = report

TEX = $(REPORT).tex
FIGS = 
PLOTS = 
BIB = project.bib

%.eps: %.gnuplot %.data
	gnuplot $<
%.eps: %.fig
	fig2dev -Lps $< $@
%.eps: %.obj
	tgif -print -eps $<
%.ps: %.dvi
	dvips -t letter -o $(@F) $(<F)
%.pdf: %.dvi
	dvipdf $< $@ 

all: $(REPORT).ps

$(REPORT).dvi: $(TEX) $(FIGS) $(PLOTS) $(BIB)
	rm -f *.log *.aux *.blg *.bbl
	latex $(REPORT)
	bibtex $(REPORT)
	latex $(REPORT)
	latex $(REPORT)

view: $(REPORT).ps
	ghostview $(REPORT) &

clean: 
	rm -f *~ *.dvi *.log *.aux report.ps *.blg *.bbl #*.eps #*.gif

=== testsuite/expect/mpi-testscripts/Makefile ===
########################################################################
#
# Makefile for NEWS Tests  (96-12-11)
#
########################################################################

CODES = barrier_timed allred allred_timed alltoall alltoall_timed

CC = mpcc
CFLAGS = $(OPT4)


FC = mpxlf
FFLAGS =    ${OPT4}

# ====================

all : ${CODES}

barrier : barrier.o
	echo "Building code barrier...";\
	${CC} -o barrier barrier.o

barrier_timed : barrier_timed.o
	echo "Building code barrier_timed...";\
	${CC} -o barrier_timed barrier_timed.o

allred : allred.o
	echo "Building code allred...";\
	${CC} -o allred allred.o

allred_timed : allred_timed.o
	echo "Building code allred_timed...";\
	${CC} -o allred_timed allred_timed.o

alltoall : alltoall.o
	echo "Building code alltoall...";\
	${CC} -o alltoall alltoall.o

alltoall_timed : alltoall_timed.o
	echo "Building code alltoall_timed...";\
	${CC} -o alltoall_timed alltoall_timed.o

clean :
	rm -f *.o ${CODES}

#**********************#
#     SUFFIX RULES     #
#**********************#

#.SILENT :

.SUFFIXES :
.SUFFIXES : .o .c .f

.c.o :
	echo ${CC} $<
	${CC} -c ${CFLAGS} ${INCL} $<

.f.o :
	echo ${FC} $<
	${FC} -c ${FFLAGS} ${INCL} $<

########################################################################
#       END OF MAKE
########################################################################

=== debian/changelog ===
slurm-llnl (15.08.7-1build1) xenial; urgency=medium

  * Rebuild against libmysqlclient20.

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 05 Apr 2016 13:01:52 +0000

slurm-llnl (15.08.7-1) unstable; urgency=medium

  * New upstream release 
  * Call ldconfig in postinst/rm of library packages

    [ Ana Guerrero Lopez ]
  * Add package slurm-wlm-emulator. This package provides binaries that are
    already in the slurmd and slurmctld package. These packages binaries
    have now the suffix -wlm and the binaries in slurm-wln-emulator got
    the suffix -wlm-emulator.
    The binaries are handled with alternatives, having the emulator package
    a higher priority value.
  * Add slurm-client-emulator with all the same binaries from slurm-client
    built in emulator mode, these are the binaries to use when running thr
    daemons from slurm-wlm-emulator.
    Binaries have appended suffix -emulator to avoid conflicts.

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Fri, 22 Jan 2016 21:20:36 +0100

=== debian/control ===
Source: slurm-llnl
Section: admin
Priority: extra
Maintainer: Gennaro Oliva <oliva.g@na.icar.cnr.it>
Uploaders: Rémi Palancher <remi@rezib.org>, Mehdi Dogguy <mehdi@debian.org>
Build-Depends:
 debhelper (>= 9.20130504),
 autotools-dev,
 libmunge-dev,
 libncurses5-dev,
 libssl-dev,
 po-debconf,
 python,
 libglade2-dev,
 libgtk2.0-dev,
 libmysqlclient-dev,
 libpam0g-dev,
 libperl-dev,
 chrpath,
 libpam0g-dev,
 liblua5.1-0-dev,
 libhwloc-dev,
 dh-autoreconf,
 dh-exec,
 librrd-dev,
 libipmimonitoring-dev,
 dh-systemd (>= 1.5)
Standards-Version: 3.9.6
Homepage: http://slurm.schedmd.com
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/slurm-llnl.git
Vcs-Git: git://anonscm.debian.org/collab-maint/slurm-llnl.git

Package: slurm-wlm
Architecture: any
Depends:
 ${misc:Depends},
 slurmd (= ${binary:Version}),
 slurmctld (= ${binary:Version}),
 slurm-client (= ${binary:Version})
Replaces: slurm-llnl (<< 14.03)
Breaks: slurm-llnl (<< 14.03)
Description: Simple Linux Utility for Resource Management
 SLURM stands for Simple Linux Utility for Resource Management, it
 is an open-source cluster resource management and job scheduling system
 that strives to be simple, scalable, portable, fault-tolerant, and
 interconnect agnostic.
 This metapackage contains all client side commands, the compute node
 daemon and the central management demon.

Package: slurm-client
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 slurm-wlm-basic-plugins (= ${binary:Version}),
 munge,
 adduser,
 ucf
Replaces: slurm-llnl (<< 14.03), slurmdbd (<< 14.03.9-5)
Breaks: slurm-llnl (<< 14.03), slurmdbd (<< 14.03.9-5)
Conflicts: sinfo (<< 0.0.47-4)
Description: SLURM client side commands
 SLURM stands for Simple Linux Utility for Resource Management, it
 is an open-source cluster resource management and job scheduling system
 that strives to be simple, scalable, portable, fault-tolerant, and
 interconnect agnostic.
 This package contains all client side commands.

Package: slurm-client-dbg
Architecture: any
Section: debug
Depends:
 slurm-client (= ${binary:Version}),
 ${misc:Depends}
Description: debugging symbols for SLURM client side commands
 SLURM stands for Simple Linux Utility for Resource Management, it
 is an open-source cluster resource management and job scheduling system
 that strives to be simple, scalable, portable, fault-tolerant, and
 interconnect agnostic.
 This package contains the debugging symbols for all client side
 commands.

Package: slurmd
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 openssl,
 slurm-wlm-basic-plugins (= ${binary:Version}),
 adduser,
 ucf,
 munge,
 openssl-blacklist,
 openssl (>= 0.9.8g-9),
 lsb-base (>= 3.2-12)
Replaces: slurm-llnl (<< 14.03)
Breaks: slurm-llnl (<< 14.03)
Description: SLURM compute node daemon
 SLURM stands for Simple Linux Utility for Resource Management, it
 is an open-source cluster resource management and job scheduling system
 that strives to be simple, scalable, portable, fault-tolerant, and
 interconnect agnostic.
 This package contains the compute node demon slurmd.

Package: slurmd-dbg
Architecture: any
Section: debug
Depends:
 slurmd (= ${binary:Version}),
 ${misc:Depends}
Description: debugging symbols for SLURM compute node daemon
 SLURM stands for Simple Linux Utility for Resource Management, it
 is an open-source cluster resource management and job scheduling system
 that strives to be simple, scalable, portable, fault-tolerant, and
 interconnect agnostic.
 This package contains the debugging symbols for the compute node daemon
 slurmd.

Package: slurmctld
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 slurm-client (= ${binary:Version}),
 openssl,
 slurm-wlm-basic-plugins (= ${binary:Version}),
 adduser,
 ucf,
 munge,
 openssl-blacklist,
 openssl (>= 0.9.8g-9),
 lsb-base (>= 3.2-12)
Replaces: slurm-llnl (<< 14.03)
Breaks: slurm-llnl (<< 14.03)
Description: SLURM central management daemon
 SLURM stands for Simple Linux Utility for Resource Management, it
 is an open-source cluster resource management and job scheduling system
 that strives to be simple, scalable, portable, fault-tolerant, and
 interconnect agnostic.
 This package contains the central management demon slurmctld.

Package: slurmctld-dbg
Architecture: any
Section: debug
Depends:
 slurmctld (= ${binary:Version}),
 ${misc:Depends}
Description: debugging symbols for SLURM central management daemon
 SLURM stands for Simple Linux Utility for Resource Management, it
 is an open-source cluster resource management and job scheduling system
 that strives to be simple, scalable, portable, fault-tolerant, and
 interconnect agnostic.
 This package contains the debugging symbols for central management
 daemon slurmctld.

Package: libslurmdb29
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Runtime library files for the SLURM DataBase Daemon
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 This package contains the SLURM DataBase Daemon runtime library.

Package: libslurmdb29-dbg
Architecture: any
Section: debug
Depends:
 libslurmdb29 (= ${binary:Version}),
 ${misc:Depends}
Description: debugging symbols for SLURM slurmdbd runtime library
 SLURM stands for Simple Linux Utility for Resource Management, it
 is an open-source cluster resource management and job scheduling system
 that strives to be simple, scalable, portable, fault-tolerant, and
 interconnect agnostic.
 This package contains the debugging symbols for slurmdbd runtime
 library.

Package: libslurm29
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Runtime library files for SLURM
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 This package contains the SLURM runtime library.

Package: libslurm29-dbg
Architecture: any
Section: debug
Depends:
 libslurm29 (= ${binary:Version}),
 ${misc:Depends}
Description: debugging symbols for SLURM slurm runtime library
 SLURM stands for Simple Linux Utility for Resource Management, it
 is an open-source cluster resource management and job scheduling system
 that strives to be simple, scalable, portable, fault-tolerant, and
 interconnect agnostic.
 This package contains the debugging symbols for slurm runtime
 library.

Package: libpmi0
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: SLURM PMI library implementation
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 This package contains the SLURM PMI runtime implementation.

Package: libpmi0-dbg
Architecture: any
Section: debug
Depends:
 libpmi0 (= ${binary:Version}),
 ${misc:Depends}
Description: debugging symbols for SLURM PMI library implementation
 SLURM stands for Simple Linux Utility for Resource Management, it
 is an open-source cluster resource management and job scheduling system
 that strives to be simple, scalable, portable, fault-tolerant, and
 interconnect agnostic.
 This package contains the debugging symbols for SLURM PMI library
 implementation.

Package: libslurm-dev
Section: libdevel
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libslurm29 (= ${binary:Version})
Conflicts: libslurm10-dev, libslurm11-dev, libslurm12-dev, libslurm13-dev, libslurm20-dev, libslurm21-dev
Replaces: libslurm10-dev, libslurm11-dev, libslurm12-dev, libslurm13-dev, libslurm20-dev, libslurm21-dev
Description: SLURM development files
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 This package contains SLURM static library and header files.

Package: libslurmdb-dev
Section: libdevel
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libslurmdb29 (= ${binary:Version})
Description: SLURM DataBase Daemon development files
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 This package contains SLURM DataBase Daemon static library and header files.

Package: libpmi0-dev
Section: libdevel
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libpmi0 (= ${binary:Version}),
 libslurm29 (= ${binary:Version})
Description: SLURM PMI library implementation development files
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 This package contains the SLURM PMI implementation static library and header
 files

Package: slurm-wlm-doc
Section: doc
Architecture: all
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Replaces: slurm-llnl-doc (<< 14.03)
Breaks: slurm-llnl-doc (<< 14.03)
Description: SLURM documentation
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 This package contains the SLURM html documentation.

Package: slurm-wlm-basic-plugins
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Replaces: slurm-llnl-basic-plugins (<< 14.03)
Breaks: slurm-llnl-basic-plugins (<< 14.03)
Description: SLURM basic plugins
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 This package contains the SLURM basic plugins

Package: slurm-wlm-basic-plugins-dbg
Architecture: any
Section: debug
Depends:
 slurm-wlm-basic-plugins (= ${binary:Version}),
 ${misc:Depends}
Description: debugging symbols for SLURM basic plugins
 SLURM stands for Simple Linux Utility for Resource Management, it
 is an open-source cluster resource management and job scheduling system
 that strives to be simple, scalable, portable, fault-tolerant, and
 interconnect agnostic.
 This package contains the debugging symbols for basic plugins.

Package: slurm-wlm-basic-plugins-dev
Section: devel
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 slurm-wlm-basic-plugins (= ${binary:Version})
Replaces: slurm-llnl-basic-plugins-dev (<< 14.03)
Breaks: slurm-llnl-basic-plugins-dev (<< 14.03)
Description: SLURM basic plugins development files
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 This package contains development files for the SLURM basic plugins

Package: sview
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 slurm-client (= ${binary:Version})
Replaces: slurm-llnl-sview (<< 14.03)
Breaks: slurm-llnl-sview (<< 14.03)
Description: GUI to view and modify SLURM state
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 This package contains sview a GUI that can be used to view SLURM
 configuration, job, step, node and partitions state information.
 Authorized users can also modify select information.

Package: slurmdbd
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 slurm-wlm-basic-plugins (= ${binary:Version}),
 adduser,
 munge,
 ucf
Replaces: slurm-llnl-slurmdbd (<< 14.03)
Breaks: slurm-llnl-slurmdbd (<< 14.03)
Description: Secure enterprise-wide interface to a database for SLURM
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 This package contain SlurmDBD (Slurm DataBase Daemon) that can be
 used to securely manage the accounting data for several Slurm
 clusters in a central location and sacctmgr a command for managing
 user accounts in SlurmDBD.

Package: slurmdbd-dbg
Architecture: any
Section: debug
Depends:
 slurmdbd (= ${binary:Version}),
 ${misc:Depends}
Description: debugging symbols for slurmdbd daemon
 SLURM stands for Simple Linux Utility for Resource Management, it

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PERL_ARCHLIB := $(shell perl -MConfig -e 'print substr($$Config{vendorarch}, 1)')
# include defs of all DEB_HOST_*/DEB_BUILD_* vars
include /usr/share/dpkg/architecture.mk

%:
	dh $@ --builddirectory --parallel --with systemd

override_dh_auto_clean:
	dh_auto_clean
	dh_auto_clean --builddirectory build-emulator
	rm -rf $(CURDIR)/debian/tmp-emulator

# We run configure with --disable-debug to avoid the default use of -O0 and
# consequent unprotected source functions, causing lintian report
# hardening-no-fortify-functions
# Notice that -g in CFLAGS is still provided by dpkg-buildflags
override_dh_auto_configure:
	dh_auto_configure -- --sysconfdir=/etc/slurm-llnl --localstatedir=/var/run/slurm-llnl --with-munge --without-blcr --enable-pam --without-rpath --disable-debug
	dh_auto_configure --builddirectory build-emulator -- -sysconfdir=/etc/slurm-llnl --localstatedir=/var/run/slurm-llnl --with-munge --without-blcr --enable-pam --without-rpath --disable-debug --enable-front-end --enable-multiple-slurmd

override_dh_auto_build:
	dh_auto_build
	dh_auto_build --builddirectory build-emulator

override_dh_auto_install:
	dh_auto_install
	
	# clear dependency_libs field in *.la files
	# see lintian non-empty-dependency_libs-in-la-file for reference
	sed -i "/dependency_libs/ s/'.*'/''/" `find debian/tmp/ -name '*.la'`
	# Rename slurm(1) manpage before dh_installman run. It is not possible
	# to rename manpages in debian/*.manpages so hardcore `mv` is done here
	mv debian/tmp/usr/share/man/man1/slurm.1 debian/tmp/usr/share/man/man1/slurm-wlm.1
	
	# run make install for libpam-slurm pkg
	$(MAKE) -C obj-$(DEB_BUILD_GNU_TYPE)/contribs/pam install DESTDIR=$(CURDIR)/debian/tmp
	
	# run make install for libslurm[db]-perl pkgs
	$(MAKE) -C obj-$(DEB_BUILD_GNU_TYPE)/contribs/perlapi install DESTDIR=$(CURDIR)/debian/tmp PERL_MM_OPT="INSTALLDIRS=vendor"
	find debian/tmp/$(PERL_ARCHLIB) -type f -name "*.so" | xargs chrpath -d
	
	# run make install for slurm-wlm-torque pkg
	$(MAKE) -C obj-$(DEB_BUILD_GNU_TYPE)/contribs/torque install DESTDIR=$(CURDIR)/debian/tmp
	# build manpages for pbs wrappers
	for i in debian/tmp/usr/bin/pbsnodes debian/tmp/usr/bin/q*; do \
		pod2man $$i > debian/tmp/usr/share/man/man1/$$(basename $$i).1; \
	done

	# Rename binaries that are also in the slurm-wlm-emulator
	mv debian/tmp/usr/sbin/slurmctld debian/tmp/usr/sbin/slurmctld-wlm
	mv debian/tmp/usr/sbin/slurmd debian/tmp/usr/sbin/slurmd-wlm
	mv debian/tmp/usr/sbin/slurmstepd debian/tmp/usr/sbin/slurmstepd-wlm

	dh_auto_install --builddirectory build-emulator  --destdir=$(CURDIR)/debian/tmp-emulator
	# Rename binaries in the emulator packages
	mv debian/tmp-emulator/usr/sbin/slurmctld debian/tmp-emulator/usr/sbin/slurmctld-wlm-emulator
	mv debian/tmp-emulator/usr/sbin/slurmd debian/tmp-emulator/usr/sbin/slurmd-wlm-emulator
	mv debian/tmp-emulator/usr/sbin/slurmstepd debian/tmp-emulator/usr/sbin/slurmstepd-wlm-emulator
	mv debian/tmp-emulator/usr/bin/sshare	debian/tmp-emulator/usr/bin/sshare-emulator
	mv debian/tmp-emulator/usr/bin/scancel 	debian/tmp-emulator/usr/bin/scancel-emulator
	mv debian/tmp-emulator/usr/bin/sattach 	debian/tmp-emulator/usr/bin/sattach-emulator
	mv debian/tmp-emulator/usr/bin/sbatch 	debian/tmp-emulator/usr/bin/sbatch-emulator
	mv debian/tmp-emulator/usr/bin/sreport 	debian/tmp-emulator/usr/bin/sreport-emulator
	mv debian/tmp-emulator/usr/bin/sbcast 	debian/tmp-emulator/usr/bin/sbcast-emulator
	mv debian/tmp-emulator/usr/bin/srun 	debian/tmp-emulator/usr/bin/srun-emulator
	mv debian/tmp-emulator/usr/bin/squeue 	debian/tmp-emulator/usr/bin/squeue-emulator
	mv debian/tmp-emulator/usr/bin/sprio 	debian/tmp-emulator/usr/bin/sprio-emulator
	mv debian/tmp-emulator/usr/bin/smap 	debian/tmp-emulator/usr/bin/smap-emulator
	mv debian/tmp-emulator/usr/bin/sdiag 	debian/tmp-emulator/usr/bin/sdiag-emulator
	mv debian/tmp-emulator/usr/bin/strigger debian/tmp-emulator/usr/bin/strigger-emulator
	mv debian/tmp-emulator/usr/bin/sinfo 	debian/tmp-emulator/usr/bin/sinfo-emulator
	mv debian/tmp-emulator/usr/bin/salloc 	debian/tmp-emulator/usr/bin/salloc-emulator
	mv debian/tmp-emulator/usr/bin/sacct	debian/tmp-emulator/usr/bin/sacct-emulator
	mv debian/tmp-emulator/usr/bin/sacctmgr debian/tmp-emulator/usr/bin/sacctmgr-emulator
	mv debian/tmp-emulator/usr/bin/scontrol debian/tmp-emulator/usr/bin/scontrol-emulator
	mv debian/tmp-emulator/usr/bin/sstat	debian/tmp-emulator/usr/bin/sstat-emulator

override_dh_strip:
	dh_strip -plibslurm29 --dbg-package=libslurm29-dbg
	dh_strip -plibslurmdb29 --dbg-package=libslurmdb29-dbg
	dh_strip -plibpmi0 --dbg-package=libpmi0-dbg
	dh_strip -pslurm-wlm-basic-plugins --dbg-package=slurm-wlm-basic-plugins-dbg
	dh_strip -pslurm-client --dbg-package=slurm-client-dbg
	dh_strip -pslurmd --dbg-package=slurmd-dbg
	dh_strip -pslurmctld --dbg-package=slurmctld-dbg
	dh_strip -pslurmdbd --dbg-package=slurmctld-dbg
	# we do not care about debug symbols for those pkgs
	dh_strip -plibslurmdb-perl
	dh_strip -plibslurm-perl
	dh_strip -psview
	dh_strip -plibpam-slurm
	dh_strip -pslurm-wlm-emulator
	dh_strip -pslurm-client-emulator

override_dh_auto_test:

=== debian/watch ===
version=3
opts="uversionmangle=s/-1$//;s/\-/./g" \
  https://github.com/SchedMD/slurm/tags .*/slurm-([\d-]*)\.tar\.gz

## slurm-llnl 15.08.8

=== debian/changelog ===
slurm-llnl (15.08.8-1) unstable; urgency=medium

  * New upstream release 
  * Upgrade to standard version 3.9.7
  * Use https uri for Vcs-Browser and Vcs-Git in d/control
  * Update libslurm29 and libslurmdb29 symbol files 

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Wed, 24 Feb 2016 13:21:18 +0100

=== debian/control ===
--- 
+++ 
@@ -25,10 +25,10 @@
  librrd-dev,
  libipmimonitoring-dev,
  dh-systemd (>= 1.5)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: http://slurm.schedmd.com
-Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/slurm-llnl.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/slurm-llnl.git
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/slurm-llnl.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/slurm-llnl.git
 
 Package: slurm-wlm
 Architecture: any

## slurm-llnl 15.08.10

=== debian/changelog ===
slurm-llnl (15.08.10-1ubuntu1) yakkety; urgency=medium

  * Don't manually modify the -dbgsym package.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 04 May 2016 19:25:17 +0200

slurm-llnl (15.08.10-1build1) yakkety; urgency=medium

  * No-change rebuild for librrd soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 04 May 2016 16:53:39 +0000

slurm-llnl (15.08.10-1) unstable; urgency=medium

  * New upstream release 
  * Update libslurm29 and libslurmdb29 symbol files
  * Add hardening=+pie to DEB_BUILD_MAINT_OPTIONS
  * Add Documentation section in systemd service files
  * Remove fix-spelling-errors patch included in upstream
  * Add lintian overrides for missing bindnow option
  * Upgrade to standard version 3.9.8
  * Remove postinst/rm in library packages since ldconfig is now handled
    by dh_makeshlibs

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Tue, 03 May 2016 17:19:24 +0200

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
  librrd-dev,
  libipmimonitoring-dev,
  dh-systemd (>= 1.5)
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: http://slurm.schedmd.com
 Vcs-Browser: https://anonscm.debian.org/git/collab-maint/slurm-llnl.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/slurm-llnl.git

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,7 @@
 #export DH_VERBOSE=1
 
 export PERL_ARCHLIB := $(shell perl -MConfig -e 'print substr($$Config{vendorarch}, 1)')
+export DEB_BUILD_MAINT_OPTIONS = hardening=+pie
 # include defs of all DEB_HOST_*/DEB_BUILD_* vars
 include /usr/share/dpkg/architecture.mk
 
@@ -97,5 +98,12 @@
 	dh_strip -plibpam-slurm
 	dh_strip -pslurm-wlm-emulator
 	dh_strip -pslurm-client-emulator
+	dh_strip -plibpmi0-dev
+	dh_strip -plibslurmdb-dev
+	dh_strip -plibslurm-dev
+	dh_strip -pslurm-wlm-basic-plugins-dev
+	: # doesn't work on Launchpad
+	: strip --strip-debug --remove-section=.comment \
+		--remove-section=.note debian/slurm-wlm-basic-plugins-dev/usr/lib/x86_64-linux-gnu/slurm/*.a
 
 override_dh_auto_test:

## slurm-llnl 16.05.2

=== alps_tests/Makefile ===
# Copyright (c) 2009-2011 Centro Svizzero di Calcolo Scientifico (CSCS)
# Licensed under the GPLv2.
RM = rm -f

DISTNAME= basil_parser_CSCS
TARBALL	= $(DISTNAME).tar.gz

SUBDIRS = ../libalps ../libsdb
SUBDIRS += query_alps_engine	\
	   get_free_nodes 	\
	   sched_inventory	\
	   test_reservation	\
	   cancel_reservation	\
	   parse_nodelist

# lesser used, for testing
SUBDIRS += mpp_inventory reassemble_inventory topology_from_inventory

help:
	@echo >&2 "usage: $(MAKE) all|clean|tar"

clean all:
	@for dir in $(SUBDIRS); do $(MAKE) -C $$dir $@||exit 1; done
	@$(RM) $(TARBALL)

$(TARBALL): clean
	tar zcvf $@ --transform=s@^@$(DISTNAME)_$(shell date +%F)/@\
		    --exclude=RCS \
		    $(SUBDIRS) ../include Makefile

tar: $(TARBALL)
	ls -lh $<

=== alps_tests/query_alps_engine/Makefile ===
# Copyright (c) 2009-2011 Centro Svizzero di Calcolo Scientifico (CSCS)
# Licensed under the GPLv2.
# NAMES
TARGET = query_alps_engine
MAIN   = main.c
OBJS   = cmdline.o

# PROGRAMS
CC = gcc
RM = rm -vf

# PATHS
INCDIR = ../../include
LIBDIR = ../../libalps
HEADERS	= $(wildcard $(INCDIR)/*.h)

# FLAGS
CFLAGS = -I$(INCDIR) -Wall 
EXTRA_CFLAGS = -Werror -pedantic
ALPSLIB= $(LIBDIR)/libalps.a
LDLIBS = -lexpat

# suffix rules
%.o : %.c cmdline.h 
	$(CC) $(CFLAGS) $(EXTRA_CFLAGS) -c $< -o $@

all: $(TARGET)
	./$< --help
	./$< --basil --verbose

$(TARGET): $(MAIN) $(OBJS) $(ALPSLIB)
	$(CC) $(CFLAGS) $^ $(LDLIBS) -o $@
	@strip $@

main.c: cmdline.h $(INCDIR)/basil_alps.h

cmdline.o : cmdline.c cmdline.h 
	$(CC) $(CFLAGS) -c $< -o $@

cmdline.h cmdline.c: arguments.ggo
	gengetopt < $<

$(ALPSLIB): $(wildcard $(LIBDIR)/*.c) $(HEADERS)
	$(MAKE) -C $(@D)

.PHONY: clean all

tags: $(wildcard *.c $(LIBDIR)/*.c) $(HEADERS)
	ctags $^ > $@

clean:
	@$(RM) *.o *~ ? core a.out tags *.orig *.rej
	@$(RM) $(TARGET)

distclean: clean
	@$(RM) cmdline.c cmdline.h

=== debian/changelog ===
slurm-llnl (16.05.2-1ubuntu2) yakkety; urgency=medium

  * No-change rebuild for readline soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 17 Sep 2016 12:10:49 +0000

slurm-llnl (16.05.2-1ubuntu1) yakkety; urgency=medium

  * Merge with Debian: remaining changes:
    - Don't manually modify the -dbgsym package.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 24 Aug 2016 10:37:20 +0200

slurm-llnl (16.05.2-1) unstable; urgency=medium

  * New upstream release 

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Fri, 29 Jul 2016 18:34:26 +0200

slurm-llnl (16.05.0-1) unstable; urgency=medium

  * New upstream major release 
  * Update library files to version 30

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Tue, 14 Jun 2016 11:15:17 +0200

slurm-llnl (15.08.11-1) unstable; urgency=medium

  * New upstream release 
  * Fix d/rules using wildcard instead of the triplet

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Wed, 04 May 2016 12:01:47 +0200

=== debian/control ===
--- 
+++ 
@@ -153,7 +153,7 @@
  This package contains the debugging symbols for central management
  daemon slurmctld.
 
-Package: libslurmdb29
+Package: libslurmdb30
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -163,11 +163,11 @@
  is an open-source cluster resource management and job scheduling.
  This package contains the SLURM DataBase Daemon runtime library.
 
-Package: libslurmdb29-dbg
-Architecture: any
-Section: debug
-Depends:
- libslurmdb29 (= ${binary:Version}),
+Package: libslurmdb30-dbg
+Architecture: any
+Section: debug
+Depends:
+ libslurmdb30 (= ${binary:Version}),
  ${misc:Depends}
 Description: debugging symbols for SLURM slurmdbd runtime library
  SLURM stands for Simple Linux Utility for Resource Management, it
@@ -177,7 +177,7 @@
  This package contains the debugging symbols for slurmdbd runtime
  library.
 
-Package: libslurm29
+Package: libslurm30
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -187,11 +187,11 @@
  is an open-source cluster resource management and job scheduling.
  This package contains the SLURM runtime library.
 
-Package: libslurm29-dbg
-Architecture: any
-Section: debug
-Depends:
- libslurm29 (= ${binary:Version}),
+Package: libslurm30-dbg
+Architecture: any
+Section: debug
+Depends:
+ libslurm30 (= ${binary:Version}),
  ${misc:Depends}
 Description: debugging symbols for SLURM slurm runtime library
  SLURM stands for Simple Linux Utility for Resource Management, it
@@ -231,7 +231,7 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
- libslurm29 (= ${binary:Version})
+ libslurm30 (= ${binary:Version})
 Conflicts: libslurm10-dev, libslurm11-dev, libslurm12-dev, libslurm13-dev, libslurm20-dev, libslurm21-dev
 Replaces: libslurm10-dev, libslurm11-dev, libslurm12-dev, libslurm13-dev, libslurm20-dev, libslurm21-dev
 Description: SLURM development files
@@ -245,7 +245,7 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
- libslurmdb29 (= ${binary:Version})
+ libslurmdb30 (= ${binary:Version})
 Description: SLURM DataBase Daemon development files
  SLURM, the Simple Linux Utility for Resource Management,
  is an open-source cluster resource management and job scheduling.
@@ -258,7 +258,7 @@
  ${shlibs:Depends},
  ${misc:Depends},
  libpmi0 (= ${binary:Version}),
- libslurm29 (= ${binary:Version})
+ libslurm30 (= ${binary:Version})
 Description: SLURM PMI library implementation development files
  SLURM, the Simple Linux Utility for Resource Management,
  is an open-source cluster resource management and job scheduling.

=== debian/rules ===
--- 
+++ 
@@ -83,8 +83,8 @@
 	mv debian/tmp-emulator/usr/bin/sstat	debian/tmp-emulator/usr/bin/sstat-emulator
 
 override_dh_strip:
-	dh_strip -plibslurm29 --dbg-package=libslurm29-dbg
-	dh_strip -plibslurmdb29 --dbg-package=libslurmdb29-dbg
+	dh_strip -plibslurm30 --dbg-package=libslurm30-dbg
+	dh_strip -plibslurmdb30 --dbg-package=libslurmdb30-dbg
 	dh_strip -plibpmi0 --dbg-package=libpmi0-dbg
 	dh_strip -pslurm-wlm-basic-plugins --dbg-package=slurm-wlm-basic-plugins-dbg
 	dh_strip -pslurm-client --dbg-package=slurm-client-dbg
@@ -104,6 +104,6 @@
 	dh_strip -pslurm-wlm-basic-plugins-dev
 	: # doesn't work on Launchpad
 	: strip --strip-debug --remove-section=.comment \
-		--remove-section=.note debian/slurm-wlm-basic-plugins-dev/usr/lib/x86_64-linux-gnu/slurm/*.a
+		--remove-section=.note debian/slurm-wlm-basic-plugins-dev/usr/lib/*/slurm/*.a
 
 override_dh_auto_test:

## slurm-llnl 16.05.8

=== debian/changelog ===
slurm-llnl (16.05.8-1ubuntu1) zesty; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Don't manually modify the -dbgsym package

 -- Bhavani Shankar <bhavi@ubuntu.com>  Thu, 12 Jan 2017 10:17:31 +0530

slurm-llnl (16.05.8-1) unstable; urgency=medium

  * New upstream release 
  * Remove wiki.conf.5 from slurm-client manpages

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Sat, 07 Jan 2017 02:40:23 +0100

slurm-llnl (16.05.7-2) unstable; urgency=medium

  * Enable multiple slurmd support (Closes: #849140)
  * Drop dependency on openssl-blacklist (Closes: #848627)
  * slurmd and slurm-client postrm don't kill slurm processes anymore
  * Checks whether the slurm user exists before deleting
  * Use numerical uid 64030 to kill slurm owned processes

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Fri, 30 Dec 2016 16:06:07 +0100

slurm-llnl (16.05.7-1) unstable; urgency=medium

  * New upstream release (Closes: #828549)
  * Add libswitch-perl dependency to slurm-wlm-torque (Closes: #847342)
  * Add slurmd.README.Debian (Closes: #845268) 
  * Move README.Debian to slurmctld.README.Debian
  * Add lintian overrides for no bindnow in many packages
  * Use jquery.min.js provided by libjs-jquery instead of upstream's
  * Add jquery source in missing-sources

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Wed, 14 Dec 2016 11:01:06 +0100

slurm-llnl (16.05.6-1) unstable; urgency=medium

  * Update libslurm{,db} symbols files
  * Remove unused hardening-no-bindnow lintian overrides
  * Add lsb-base dependency to slurmdbd
  * Change libmysqlclient-dev build dependency to default
  * Add libpmi2-0 packages thanks to Markus Geimer (Closes: #840404)

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Fri, 28 Oct 2016 16:23:07 +0200

slurm-llnl (16.05.5-1) unstable; urgency=medium

  * New upstream release
  * Update debian configurators
  * Update header patch to remove google script in html
  * Update symbol files

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Fri, 30 Sep 2016 16:08:43 +0200

slurm-llnl (16.05.4-1) unstable; urgency=medium

  * New upstream release 
  * Add missing sh5util binary to slurm-client and qalter qrerun and
    mpiexec.slurm to slurm-wlm-torque (as requested by Jordi Blasco)
  * Update ax_lib_hdf5.m4 to avoid CPPFLAGS to be overwritten
  * Add HDF5_CPPFLAGS to successfully compile libsh5util_old.la
  * Restore default fortify flags

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Mon, 26 Sep 2016 11:44:23 +0200

slurm-llnl (16.05.2-1ubuntu3) zesty; urgency=medium

  * No-change rebuild for perl 5.24 transition

 -- Iain Lane <iain@orangesquash.org.uk>  Mon, 24 Oct 2016 10:39:34 +0100

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #export DH_VERBOSE=1
 
 export PERL_ARCHLIB := $(shell perl -MConfig -e 'print substr($$Config{vendorarch}, 1)')
-export DEB_BUILD_MAINT_OPTIONS = hardening=+pie
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-bindnow
 # include defs of all DEB_HOST_*/DEB_BUILD_* vars
 include /usr/share/dpkg/architecture.mk
 
@@ -22,7 +22,8 @@
 # hardening-no-fortify-functions
 # Notice that -g in CFLAGS is still provided by dpkg-buildflags
 override_dh_auto_configure:
-	dh_auto_configure -- --sysconfdir=/etc/slurm-llnl --localstatedir=/var/run/slurm-llnl --with-munge --without-blcr --enable-pam --without-rpath --disable-debug
+	dh_autoreconf
+	dh_auto_configure -- --sysconfdir=/etc/slurm-llnl --localstatedir=/var/run/slurm-llnl --with-munge --without-blcr --enable-pam --without-rpath --disable-debug --enable-multiple-slurmd
 	dh_auto_configure --builddirectory build-emulator -- -sysconfdir=/etc/slurm-llnl --localstatedir=/var/run/slurm-llnl --with-munge --without-blcr --enable-pam --without-rpath --disable-debug --enable-front-end --enable-multiple-slurmd
 
 override_dh_auto_build:
@@ -48,10 +49,22 @@
 	
 	# run make install for slurm-wlm-torque pkg
 	$(MAKE) -C obj-$(DEB_BUILD_GNU_TYPE)/contribs/torque install DESTDIR=$(CURDIR)/debian/tmp
+
+	# run make install for PMI2 pkg
+	$(MAKE) -C obj-$(DEB_BUILD_GNU_TYPE)/contribs/pmi2 install DESTDIR=$(CURDIR)/debian/tmp
+
+	# Rename mpiexec to mpiexec.slurm
+	mv debian/tmp/usr/bin/mpiexec	debian/tmp/usr/bin/mpiexec.slurm
+
 	# build manpages for pbs wrappers
-	for i in debian/tmp/usr/bin/pbsnodes debian/tmp/usr/bin/q*; do \
-		pod2man $$i > debian/tmp/usr/share/man/man1/$$(basename $$i).1; \
+	for i in debian/tmp/usr/bin/pbsnodes \
+		debian/tmp/usr/bin/mpiexec.slurm \
+		debian/tmp/usr/bin/q*; do \
+			pod2man $$i > debian/tmp/usr/share/man/man1/$$(basename $$i).1; \
 	done
+
+	# Remove embedded jquery.min.js
+	rm -f debian/tmp/usr/share/doc/slurm-wlm-doc/html/jquery.min.js
 
 	# Rename binaries that are also in the slurm-wlm-emulator
 	mv debian/tmp/usr/sbin/slurmctld debian/tmp/usr/sbin/slurmctld-wlm
@@ -86,6 +99,7 @@
 	dh_strip -plibslurm30 --dbg-package=libslurm30-dbg
 	dh_strip -plibslurmdb30 --dbg-package=libslurmdb30-dbg
 	dh_strip -plibpmi0 --dbg-package=libpmi0-dbg
+	dh_strip -plibpmi2-0 --dbg-package=libpmi2-0-dbg
 	dh_strip -pslurm-wlm-basic-plugins --dbg-package=slurm-wlm-basic-plugins-dbg
 	dh_strip -pslurm-client --dbg-package=slurm-client-dbg
 	dh_strip -pslurmd --dbg-package=slurmd-dbg
@@ -99,6 +113,7 @@
 	dh_strip -pslurm-wlm-emulator
 	dh_strip -pslurm-client-emulator
 	dh_strip -plibpmi0-dev
+	dh_strip -plibpmi2-0-dev
 	dh_strip -plibslurmdb-dev
 	dh_strip -plibslurm-dev
 	dh_strip -pslurm-wlm-basic-plugins-dev

## slurm-llnl 16.05.9

=== alps_tests/topology_from_inventory/Makefile ===
# Copyright (c) 2009-2011 Centro Svizzero di Calcolo Scientifico (CSCS)
# Licensed under the GPLv2.
# NAMES
TARGETS = get_torus_type extract_node_coordinates print_bits
OBJS    = guess_torus_from_inventory.o
# PROGRAMS
CC    = gcc
RM    = rm -vf
SHELL = /bin/bash

# PATHS
INCDIR = ../../include
LIBDIR = ../../libalps
HEADERS= $(wildcard $(INCDIR)/*.h)
ALPSLIB= $(LIBDIR)/libalps.a

# FLAGS
CFLAGS = -I$(INCDIR) -Wall -Werror #-pedantic
LDLIBS = -lexpat

# RULES
.PHONY: clean check

all: $(TARGETS) check
	./get_torus_type

check: extract_node_coordinates
ifneq ($(shell which xtprocadmin 2>/dev/null),)
	@for DIM in 2 3; do\
		echo "Testing '$<' for $${DIM} dimensions: ";\
		if cmp -s <(./$< $$DIM | sort -n)\
			  <(./get_coords_from_sdb.pl);\
		then\
			exec echo -e "Test PASSED for $${DIM}D\n";\
		fi;\
	done;\
	echo $< FAILED; exit -1
else
	./$<
endif

# First delete the internal rule '<name>: <name>.c'
%: %.c
%: %.c $(OBJS) $(ALPSLIB)
	$(CC) $(CFLAGS) $^ $(LDLIBS) -o $@

$(ALPSLIB): $(wildcard $(LIBDIR)/*.c) $(HEADERS)
	$(MAKE) -C $(dir $(ALPSLIB))

tags: $(wildcard *.c $(LIBDIR)/*.c) $(HEADERS)
	ctags $^ > $@

clean:
	@$(RM) *.o *~ ? core a.out tags *.orig *.rej
	@$(RM) $(TARGETS)
	@rcsclean

distclean: clean

=== debian/changelog ===
slurm-llnl (16.05.9-1+deb9u4) stretch; urgency=medium

  * Fix build regression on 32-bits architecture (Closes: #929600) 

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Mon, 27 May 2019 09:48:30 +0200

slurm-llnl (16.05.9-1+deb9u3) stretch-security; urgency=high

  * Fix CVE-2019-6438 by adding mitigation for a potential
    heap-overflow on 32-bit systems

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Tue, 12 Feb 2019 23:34:26 +0100

slurm-llnl (16.05.9-1+deb9u2) stretch-security; urgency=high

  * Fix CVE-2018-10995 caused by mishandling user names (aka user_name
    fields) and group ids (aka gid fields)
  * Fix CVE-2018-7033 that can cause SQL Injection attacks against
    SlurmDBD

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Mon, 23 Jul 2018 12:00:49 +0200

slurm-llnl (16.05.9-1+deb9u1) stretch-security; urgency=high

  * Fix CVE-2017-15566 caused by insecure SPANK environment variable
    handling, allowing privilege escalation to root during Prolog or
    Epilog execution (Closes: #880530)

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Sun, 05 Nov 2017 11:28:51 +0100

slurm-llnl (16.05.9-1) unstable; urgency=medium

  * New upstream release
  * Overrides spelling-error-in-binary false positives

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Fri, 03 Feb 2017 09:50:02 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  python,
  libglade2-dev,
  libgtk2.0-dev,
- libmysqlclient-dev,
+ default-libmysqlclient-dev,
  libpam0g-dev,
  libperl-dev,
  chrpath,
@@ -24,7 +24,9 @@
  dh-exec,
  librrd-dev,
  libipmimonitoring-dev,
- dh-systemd (>= 1.5)
+ dh-systemd (>= 1.5),
+ hdf5-helpers,
+ libhdf5-dev
 Standards-Version: 3.9.8
 Homepage: http://slurm.schedmd.com
 Vcs-Browser: https://anonscm.debian.org/git/collab-maint/slurm-llnl.git
@@ -90,7 +92,6 @@
  adduser,
  ucf,
  munge,
- openssl-blacklist,
  openssl (>= 0.9.8g-9),
  lsb-base (>= 3.2-12)
 Replaces: slurm-llnl (<< 14.03)
@@ -127,7 +128,6 @@
  adduser,
  ucf,
  munge,
- openssl-blacklist,
  openssl (>= 0.9.8g-9),
  lsb-base (>= 3.2-12)
 Replaces: slurm-llnl (<< 14.03)
@@ -225,6 +225,30 @@
  This package contains the debugging symbols for SLURM PMI library
  implementation.
 
+Package: libpmi2-0
+Section: libs
+Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: SLURM PMI2 library implementation
+ SLURM, the Simple Linux Utility for Resource Management,
+ is an open-source cluster resource management and job scheduling.
+ This package contains the SLURM PMI2 runtime implementation.
+
+Package: libpmi2-0-dbg
+Architecture: any
+Section: debug
+Depends:
+ libpmi0 (= ${binary:Version}),
+ ${misc:Depends}
+Description: debugging symbols for SLURM PMI2 library implementation
+ SLURM stands for Simple Linux Utility for Resource Management, it
+ is an open-source cluster resource management and job scheduling system
+ that strives to be simple, scalable, portable, fault-tolerant, and
+ interconnect agnostic.
+ This package contains the debugging symbols for SLURM PMI2 library
+ implementation.
+
 Package: libslurm-dev
 Section: libdevel
 Architecture: any
@@ -265,10 +289,25 @@
  This package contains the SLURM PMI implementation static library and header
  files
 
+Package: libpmi2-0-dev
+Section: libdevel
+Architecture: any
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
+ libpmi2-0 (= ${binary:Version}),
+ libslurm30 (= ${binary:Version})
+Description: SLURM PMI2 library implementation development files
+ SLURM, the Simple Linux Utility for Resource Management,
+ is an open-source cluster resource management and job scheduling.
+ This package contains the SLURM PMI2 implementation static library and header
+ files
+
 Package: slurm-wlm-doc
 Section: doc
 Architecture: all
 Depends:
+ libjs-jquery,
  ${shlibs:Depends},
  ${misc:Depends}
 Replaces: slurm-llnl-doc (<< 14.03)
@@ -323,39 +362,3 @@
  ${shlibs:Depends},
  ${misc:Depends},
  slurm-client (= ${binary:Version})
-Replaces: slurm-llnl-sview (<< 14.03)
-Breaks: slurm-llnl-sview (<< 14.03)
-Description: GUI to view and modify SLURM state
- SLURM, the Simple Linux Utility for Resource Management,
- is an open-source cluster resource management and job scheduling.
- This package contains sview a GUI that can be used to view SLURM
- configuration, job, step, node and partitions state information.
- Authorized users can also modify select information.
-
-Package: slurmdbd
-Architecture: any
-Depends:
- ${shlibs:Depends},
- ${misc:Depends},
- slurm-wlm-basic-plugins (= ${binary:Version}),
- adduser,
- munge,
- ucf
-Replaces: slurm-llnl-slurmdbd (<< 14.03)
-Breaks: slurm-llnl-slurmdbd (<< 14.03)
-Description: Secure enterprise-wide interface to a database for SLURM
- SLURM, the Simple Linux Utility for Resource Management,
- is an open-source cluster resource management and job scheduling.
- This package contain SlurmDBD (Slurm DataBase Daemon) that can be
- used to securely manage the accounting data for several Slurm
- clusters in a central location and sacctmgr a command for managing
- user accounts in SlurmDBD.
-
-Package: slurmdbd-dbg
-Architecture: any
-Section: debug
-Depends:
- slurmdbd (= ${binary:Version}),
- ${misc:Depends}
-Description: debugging symbols for slurmdbd daemon
- SLURM stands for Simple Linux Utility for Resource Management, it

=== debian/rules ===
--- 
+++ 
@@ -117,8 +117,7 @@
 	dh_strip -plibslurmdb-dev
 	dh_strip -plibslurm-dev
 	dh_strip -pslurm-wlm-basic-plugins-dev
-	: # doesn't work on Launchpad
-	: strip --strip-debug --remove-section=.comment \
+	strip --strip-debug --remove-section=.comment \
 		--remove-section=.note debian/slurm-wlm-basic-plugins-dev/usr/lib/*/slurm/*.a
 
 override_dh_auto_test:
